Subject: Re: [PATCH 2/2] git wrapper: execute git-shell when argv[1] is '-c'

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Aug 2008 10:43:40 -0700

Matthieu Moy <[email-masked]> writes:

> Johannes Schindelin <[email-masked]> writes:
>
>> On Tue, 26 Aug 2008, Tommi Virtanen wrote:
>>
>>> All I'm going to say is that that's not the way you build trustable 
>>> software. You take a minimal interface and restrict untrusted users to 
>>> that, you don't add a feature to the widest possible interface..
>>
>> I do not get your point.
>
> With your patch, AAUI, one would put /usr/bin/git as a shell in
> passwd....

Well, it was sheer stupidity of mine.

Let's stop this and apply this patch instead.  The patch text is obvious
so I won't quote.

-- * --
From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Aug 2008 22:39:17 -0700
Subject: [PATCH] Revert "Build-in "git-shell""

This reverts commit daa0cc9a92c9c2c714aa5f7da6d0ff65b93e0698.
It was a stupid idea to do this; when run as a log-in shell,
it is spawned with argv[0] set to "-git-shell", so the usual
name-based dispatch would not work to begin with.

Signed-off-by: Junio C Hamano <[email-masked]>

 Makefile        |    2 +-
 builtin-shell.c |   90 -------------------------------------------------------
 builtin.h       |    1 -
 git.c           |    1 -
 shell.c         |   89 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 90 insertions(+), 93 deletions(-)
-- 
1.6.0.1.113.g0a79b